orte/class/orte_proc_table.h File Reference.TH "orte/class/orte_proc_table.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/class/orte_proc_table.h \- A hash table indexed by orte_process_name_t. 
.SH SYNOPSIS
.br
.PP
\fC#include 'class/opal_hash_table.h'\fP
.br
\fC#include 'orte/mca/ns/ns_types.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC void * \fBorte_hash_table_get_proc\fP (opal_hash_table_t *table, const orte_process_name_t *key)"
.br
.RI "\fIRetrieve value via orte_process_name_t key. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBorte_hash_table_set_proc\fP (opal_hash_table_t *table, const orte_process_name_t *, void *value)"
.br
.RI "\fISet value based on uint32_t key. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBorte_hash_table_remove_proc\fP (opal_hash_table_t *table, const orte_process_name_t *key)"
.br
.RI "\fIRemove value based on uint32_t key. \fP"
.in -1c
.SH "Detailed Description"
.PP 
A hash table indexed by orte_process_name_t. 


.SH "Function Documentation"
.PP 
.SS "OMPI_DECLSPEC void* orte_hash_table_get_proc (opal_hash_table_t * table, const orte_process_name_t * key)"
.PP
Retrieve value via orte_process_name_t key. 
.PP
\fBParameters:\fP
.RS 4
\fItable\fP The input hash table (IN). 
.br
\fIkey\fP The input key (IN). 
.RE
.PP
\fBReturns:\fP
.RS 4
The value associated with the key or NULL if the item is not found. 
.RE
.PP

.SS "OMPI_DECLSPEC int orte_hash_table_remove_proc (opal_hash_table_t * table, const orte_process_name_t * key)"
.PP
Remove value based on uint32_t key. 
.PP
\fBParameters:\fP
.RS 4
\fItable\fP The input hash table (IN). 
.br
\fIkey\fP The input key (IN). 
.RE
.PP
\fBReturns:\fP
.RS 4
OMPI return code. 
.RE
.PP

.SS "OMPI_DECLSPEC int orte_hash_table_set_proc (opal_hash_table_t * table, const orte_process_name_t *, void * value)"
.PP
Set value based on uint32_t key. 
.PP
\fBParameters:\fP
.RS 4
\fItable\fP The input hash table (IN). 
.br
\fIkey\fP The input key (IN). 
.br
\fIvalue\fP The value to be associated with the key (IN). 
.RE
.PP
\fBReturns:\fP
.RS 4
OMPI return code. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
